GEREALCTL(1)

NAME
gerealctl - manage gereal serial console sessions

SYNOPSIS
gerealctl [options] command [session]

DESCRIPTION
gerealctl is the command-line control utility for gereal(8), an automated serial console management system based on GNU screen and systemd. It allows users and administrators to list configured sessions, control their lifecycle via systemd, and attach to running screen sessions using a variety of authentication modes.

COMMANDS

list
    List all configured serial sessions.

start session
    Start the given session via systemd.

stop session
    Stop the given session via systemd.

restart session
    Restart the given session via systemd.

status session
    Show the systemd status of the given session.

attach session
    Attach to the running screen session.

ATTACHMENT MODES
By default, gerealctl tries the available attachment modes in the following order:

direct
    Attach directly to the screen session as the current user (using screen -r gereal:<session> as the user that has invoked gerealctl). This can also be used with a dedicated user whose shell is set to gerealshell.

multiuser
    Attach using GNU screen's multiuser feature. This requires screen to be setuid root and the session's screenrc file contain the multiuser on and acladd <user> directives.

sudo
    Attach by invoking screen as the session owner via sudo ( sudo -u <user> screen -r gereal:<session> ). To keep sudo from asking a password, enter <youruser> ALL=(<user>) NOPASSWD: /usr/bin/screen -r gereal:* in a sudo configuration file.

A specific mode can be forced using the --mode option.

OPTIONS

-m, --mode {direct|multiuser|sudo}
    Force a specific attachment mode.

-c, --conf file
    Use an alternate configuration file. The default is /etc/gereal/gereal.conf.

-v, --verbose
    Enable verbose debug output.

-h, --help
    Show help and exit.

CONFIGURATION
Session configuration is read from gereal.conf(5). Changes to the configuration require a systemctl daemon-reload to regenerate systemd units.

EXIT STATUS

0   Success.

1   An error occurred.

SEE ALSO
gereal.conf(5), screen(1), systemctl(1), sudo(8)

AUTHOR
Marc Haber <mh+debian-packages@zugschlus.de>